summaryrefslogtreecommitdiffstats
path: root/desktop/cairo-clock/cairo-clock.SlackBuild
diff options
context:
space:
mode:
author Sébastien Ballet2018-10-27 01:17:55 +0200
committer David Spencer2018-10-27 01:17:55 +0200
commit9427c6b28d3fa44b7fd5598d9a4ecb790eccb453 (patch)
tree43149955ffe42415f0aa14f1641e2fa6bee6b039 /desktop/cairo-clock/cairo-clock.SlackBuild
parentb4ca915a374a080eaaa763557286ba38f9a439d8 (diff)
downloadslackbuilds-9427c6b28d3fa44b7fd5598d9a4ecb790eccb453.tar.gz
desktop/cairo-clock: Added (Analog Clock).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/cairo-clock/cairo-clock.SlackBuild')
-rw-r--r--desktop/cairo-clock/cairo-clock.SlackBuild127
1 files changed, 127 insertions, 0 deletions
diff --git a/desktop/cairo-clock/cairo-clock.SlackBuild b/desktop/cairo-clock/cairo-clock.SlackBuild
new file mode 100644
index 0000000000..e41af4c9aa
--- /dev/null
+++ b/desktop/cairo-clock/cairo-clock.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/sh
+
+# Slackware build script for cairo-clock
+
+# Copyright 2018 Sébastien Ballet, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cairo-clock
+VERSION=${VERSION:-0.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "${ARCH}" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${ARCH}" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "${ARCH}" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "${ARCH}" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf ${PKG}
+mkdir -p ${TMP} ${PKG} ${OUTPUT}
+cd ${TMP}
+rm -rf ${PRGNAM}-${VERSION}
+tar xvf ${CWD}/${PRGNAM}_${VERSION}.orig.tar.gz
+cd ${PRGNAM}-${VERSION}
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p0<${CWD}/patches/cairo-clock-fix-build-04_624922.patch
+patch -p0<${CWD}/patches/cairo-clock-composited.patch
+patch -p0<${CWD}/patches/cairo-clock-fix-man-dir.patch
+patch -p0<${CWD}/patches/cairo-clock-desktop-categories.patch
+
+# This patch fixes a bug which prevents to set the refresh-rate
+# at the min/max (ie. 1/60) accepted values.
+#
+patch -p0<${CWD}/patches/cairo-clock-check-refresh-rate-fix.patch
+
+CFLAGS="${SLKCFLAGS}" \
+CXXFLAGS="${SLKCFLAGS}" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/${PRGNAM}-${VERSION} \
+ --build=${ARCH}-slackware-linux
+
+make
+make install DESTDIR=${PKG}
+
+find ${PKG} -print0 \
+ | xargs -0 file \
+ | grep -e "executable" -e "shared object" \
+ | grep ELF \
+ | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+
+find ${PKG}/usr/man -type f -exec gzip -9 {} \;
+for i in $( find ${PKG}/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i ;
+done
+
+mkdir -p ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+cp -a \
+ AUTHORS \
+ BUGS \
+ COPYING \
+ ChangeLog \
+ INSTALL \
+ NEWS \
+ README \
+ TODO \
+ ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+cat ${CWD}/${PRGNAM}.SlackBuild > ${PKG}/usr/doc/${PRGNAM}-${VERSION}/${PRGNAM}.SlackBuild
+
+mkdir -p ${PKG}/install
+cat ${CWD}/slack-desc > ${PKG}/install/slack-desc
+cat ${CWD}/doinst.sh > ${PKG}/install/doinst.sh
+
+cd ${PKG}
+/sbin/makepkg -l y -c n ${OUTPUT}/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}